XISUITEDokumentation

Relation Types

7 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

List relation types for the organization#

GET/relation-typesToken

Parameter

NameOrtTypBeschreibung
includeInactiveQuerystring

Include inactive relation types

Antworten

  • 200Relation types returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/relation-types" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Create a relation type#

POST/relation-typesToken

Request-Bodyapplication/jsonCreateRelationTypeDto

NameTypBeschreibung
organizationIdstring

Legacy compatibility field. Ignored; organization is derived from auth context.

namePflichtstring

Beispiel: Blocks

outward_descriptionPflichtstring

Description shown for the outward direction

Beispiel: blocks

inward_descriptionPflichtstring

Description shown for the inward direction

Beispiel: is blocked by

name_i18nobject

Standard: {}

outward_description_i18nobject

Standard: {}

inward_description_i18nobject

Standard: {}

colorobject

Beispiel: #6B7280

iconobject

Beispiel: lucide:link

is_directionalboolean

Standard: true

is_activeboolean

Standard: true

sort_ordernumber

Beispiel: 0

Antworten

  • 201Relation type created
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/relation-types" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"Blocks","outward_description":"blocks","inward_description":"is blocked by"}'

Get a relation type by ID#

GET/relation-types/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200Relation type returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/relation-types/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Update a relation type (system types immutable)#

PUT/relation-types/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Request-Bodyapplication/jsonUpdateRelationTypeDto

NameTypBeschreibung
namestring

Beispiel: Blocks

outward_descriptionstring–
inward_descriptionstring–
name_i18nobject–
outward_description_i18nobject–
inward_description_i18nobject–
colorobject–
iconobject–
is_directionalboolean–
is_activeboolean–
sort_ordernumber–

Antworten

  • 200Relation type updated
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/relation-types/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"Blocks","outward_description":"…","inward_description":"…"}'

Patch action: toggle_active, duplicate#

PATCH/relation-types/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Request-Bodyapplication/jsonPatchRelationTypeDto

NameTypBeschreibung
actionPflichtstring

Werte: toggle_activeduplicate

namestring

Legacy PATCH compatibility: partial update when action is omitted.

outward_descriptionstring

Legacy PATCH compatibility: partial update when action is omitted.

inward_descriptionstring

Legacy PATCH compatibility: partial update when action is omitted.

name_i18nobject–
outward_description_i18nobject–
inward_description_i18nobject–
colorobject–
iconobject–
is_directionalboolean–
is_activeboolean

For toggle_active

sort_ordernumber–
organizationIdstring

Legacy compatibility field. Ignored; organization is derived from auth context.

newNamestring

New name for duplicate action

Antworten

  • 200Action applied
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/relation-types/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"action":"toggle_active"}'

Delete a relation type (blocked if in use or system type)#

DELETE/relation-types/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200Relation type deleted
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/relation-types/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Bulk reorder relation types#

PATCH/relation-types/reorderToken

Request-Bodyapplication/jsonReorderRelationTypesDto

NameTypBeschreibung
itemsPflichtReorderItemDto[]–

Antworten

  • 200Relation types reordered
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/relation-types/reorder" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"items":[]}'
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions